package ru.landgrafhomyak.serdha.api.v0.ddl

import ru.landgrafhomyak.serdha.api.v0.Expression

public interface CheckConstraint<TableUserExtension : Any> {
	public val name: String
	public val table: Table<TableUserExtension, *>
	public val constraint: Expression<Boolean, ColumnType.BOOLEAN, TableUserExtension>
	public val affectedColumns: List<Column<*, *, TableUserExtension>>
}