package ru.landgrafhomyak.serdha.api.v0.dml

import ru.landgrafhomyak.serdha.api.v0.Expression
import ru.landgrafhomyak.serdha.api.v0.ddl.ColumnType

public interface DeleteCreator<TargetTableUserExtension : Any, QueryUserExtension : Any> : _CommonQueryMethods<QueryUserExtension> {
	public val targetTable: SelectedTable<TargetTableUserExtension, QueryUserExtension>

	public fun where(expression: Expression<Boolean, ColumnType.BOOLEAN, QueryUserExtension>)

	public fun limit(size: UInt)

	public fun returning(s: (_CommonQueryMethods._Returning<QueryUserExtension>) -> Unit)
}